<ion-header>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button></ion-back-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>
  
  <ion-content>
      <form [formGroup]="registerForm" (ngSubmit)="onSubmit(registerForm.value)">
          <div class="ms-mob-body">
                  <p class="ms-screen-header">
                      let's verify your identity
                  </p>
                  <div>
                    <input class="form-control ms-form" formControlName="firstname" required placeholder="first name">
                    <div class="validation-errors">
                        <ng-container *ngFor="let validation of validation_messages.firstname">
                            <div class="error-message" *ngIf="registerForm.get('firstname').hasError(validation.type) && (registerForm.get('firstname').dirty || registerForm.get('firstname').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>

                    <input class="form-control ms-form" formControlName="lastname"  required placeholder="last name">
                    <div class="validation-errors">
                        <ng-container *ngFor="let validation of validation_messages.lastname">
                            <div class="error-message" *ngIf="registerForm.get('lastname').hasError(validation.type) && (registerForm.get('lastname').dirty || registerForm.get('lastname').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>

                    <ion-datetime class="date-time-picker form-control ms-form" formControlName="birthdate" displayFormat="MMM DD YYYY" placeholder="set birth date" min="1950-01-01" max="2001-01-01">
                    </ion-datetime>

                    <div class="validation-errors">
                        <ng-container *ngFor="let validation of validation_messages.birthdate">
                            <div class="error-message" *ngIf="registerForm.get('birthdate').hasError(validation.type) && (registerForm.get('birthdate').dirty || registerForm.get('birthdate').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>
  
                    <input class="form-control ms-form" formControlName="address"   required placeholder="address">
                    <div class="validation-errors">
                        <ng-container *ngFor="let validation of validation_messages.address">
                            <div class="error-message" *ngIf="registerForm.get('address').hasError(validation.type) && (registerForm.get('address').dirty || registerForm.get('address').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>

                    <input class="form-control ms-form" formControlName="city"   required placeholder="city" (click)="openCity()">
                    <div class="validation-errors">
                        <ng-container *ngFor="let validation of validation_messages.city">
                            <div class="error-message" *ngIf="registerForm.get('city').hasError(validation.type) && (registerForm.get('city').dirty || registerForm.get('city').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>
  
                    <input class="form-control ms-form" formControlName="mobile" type="tel" maxlength="11" required placeholder="mobile number">
                    <div class="validation-errors">
                        <ng-container *ngFor="let validation of validation_messages.mobile">
                            <div class="error-message" *ngIf="registerForm.get('mobile').hasError(validation.type) && (registerForm.get('mobile').dirty || registerForm.get('mobile').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>

                    <input class="form-control ms-form" formControlName="email" type="email" required placeholder="email address" *ngIf="checkLoginType('email')">
                    <div class="validation-errors" *ngIf="checkLoginType('email')">
                        <ng-container *ngFor="let validation of validation_messages.email">
                            <div class="error-message" *ngIf="registerForm.get('email').hasError(validation.type) && (registerForm.get('email').dirty || registerForm.get('email').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>

                    <input class="form-control ms-form" formControlName="con_email" type="email" required placeholder="confirm email address" *ngIf="checkLoginType('email')">
                    <div class="validation-errors" *ngIf="checkLoginType('email')">
                        <ng-container *ngFor="let validation of validation_messages.con_email">
                            <div class="error-message" *ngIf="registerForm.errors?.mismatchedFields && registerForm.controls['con_email'].value || registerForm.get('con_email').hasError(validation.type) && (registerForm.get('con_email').dirty || registerForm.get('con_email').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>

                    <input class="form-control ms-form" formControlName="password" type="password" required placeholder="password" *ngIf="checkLoginType('email')">
                    <div class="validation-errors" *ngIf="checkLoginType('email')">
                        <ng-container *ngFor="let validation of validation_messages.password">
                            <div class="error-message" *ngIf="registerForm.get('password').hasError(validation.type) && (registerForm.get('password').dirty || registerForm.get('password').touched)">
                            {{ validation.message }}
                            </div>
                        </ng-container>
                    </div>
  
                    <ion-radio-group formControlName="sex" class="ms-group-control">

                        <ion-row>
                            <ion-col size="2">sex</ion-col>
                            <ion-col size="5">
                                <div class="custom-control custom-radio ms-control-inline">
                                    <!-- <input type="radio" class="custom-control-input ms-custom-control-input" id="sexMale" name="Sex" value="male"> -->
                                    <ion-radio value="male"></ion-radio>
                                    <label class="custom-control-label" for="sexMale">male</label>
                                </div>
                            </ion-col>
                            <ion-col size="5">
                                <div class="custom-control custom-radio ms-control-inline">
                                    <!-- <input type="radio" class="custom-control-input ms-custom-control-input" id="sexFemale" name="Sex" value="female"> -->
                                    <ion-radio value="female"></ion-radio>
                                    <label class="custom-control-label" for="sexFemale">female</label>
                                </div>
                            </ion-col>
                        </ion-row>
                        <div class="validation-errors">
                            <ng-container *ngFor="let validation of validation_messages.sex">
                                <div class="error-message" *ngIf="registerForm.get('sex').hasError(validation.type) && (registerForm.get('sex').dirty || registerForm.get('sex').touched)">
                                {{ validation.message }}
                                </div>
                            </ng-container>
                        </div>
                    </ion-radio-group>
                  </div>
              </div>
              
      
      </form>
  </ion-content>
  
  <ion-footer>
      <div class="ms-mob-footer">
          <!-- <ion-button type="submit"  color="primary" shape="full" expand="block">Next</ion-button>     -->
          <button (click)="onSubmit(registerForm.value)" class="ms-btn ms-icon-btn ms-btn-primary ms-full-width no-gutter">
              <span>continue</span>
              <span class="ms-btn-ico">
                  <i class="fas fa-arrow-right"></i>
              </span>
          </button>
      </div>
  </ion-footer>
  